commit a3d244d485fd6c6755c4b2c9248f82f728a0e345
Author: jklowden <jklowden>
Date:   Fri Oct 23 19:21:45 2009 +0000

    dbdatecrack follows MSDBLIB, not WIN32

diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index cea010b..efbc23e 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.354 2009/10/16 07:59:40 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.355 2009/10/23 19:21:45 jklowden Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -5532,7 +5532,13 @@ dbdatecmp(DBPROCESS * dbproc, DBDATETIME * d1, DBDATETIME * d2)
  * \param datetime \em input: \c DBDATETIME to be converted.
  * \retval SUCCEED always.
  * \remarks The members of \a di have different names, depending on whether \c --with-msdblib was configured. 
- * \sa dbconvert(), dbdata(), dbdatechar(), dbdatename(), dbdatepart().
+ * 
+ * If DBPROCESS is NULL, dbdatecrack() uses the compiled in default 
+ * value of MSDBLIB as of when libsybdb was compiled, irrespective of its value when the 
+ * application is compiled.  This can lead to incorrect results because Sybase and Microsoft use different
+ * ranges -- [0,11] vs. [1,12] -- for the month. 
+ * 
+ * \sa dbconvert(), dbdata(), dbdatechar(), dbdatename(), dbdatepart(), tdsdbopen().
  */
 RETCODE
 dbdatecrack(DBPROCESS * dbproc, DBDATEREC * output, DBDATETIME * datetime)
diff --git a/src/dblib/dbopen.c b/src/dblib/dbopen.c
index 34e21ed..4e61b6d 100644
--- a/src/dblib/dbopen.c
+++ b/src/dblib/dbopen.c
@@ -32,13 +32,17 @@
 #undef dbopen
 #endif
 
-TDS_RCSID(var, "$Id: dbopen.c,v 1.12 2009/01/16 20:27:58 jklowden Exp $");
+TDS_RCSID(var, "$Id: dbopen.c,v 1.13 2009/10/23 19:21:45 jklowden Exp $");
 
+/**
+ * Normally not used. 
+ * The function is linked in only if the --enable-sybase-compat configure option is used.  
+ * Cf. sybdb.h dbopen() macros, and dbdatecrack(). 
+ */
 DBPROCESS *
 dbopen(LOGINREC * login, const char *server)
 {
-	/* default it's platform specific */
-#if defined(WIN32) || defined(_WIN32) || defined(__WIN32__) || defined(DOS32X)
+#if MSDBLIB
 	return tdsdbopen(login, server, 1);
 #else
 	return tdsdbopen(login, server, 0);

